VERSION 5.00
Begin VB.Form frmConsola 
   Caption         =   "Consola"
   ClientHeight    =   2325
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   3915
   Icon            =   "frmConsola.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   2325
   ScaleWidth      =   3915
   StartUpPosition =   3  'Windows Default
   Begin VB.Timer tmr 
      Left            =   0
      Top             =   1260
   End
   Begin VB.Frame Frame3 
      Height          =   2040
      Left            =   2520
      TabIndex        =   5
      Top             =   135
      Width           =   1230
      Begin VB.CommandButton cmdMen 
         Caption         =   "-"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   18
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   525
         Left            =   360
         TabIndex        =   8
         Top             =   1215
         Width           =   555
      End
      Begin VB.CommandButton cmdMas 
         Caption         =   "+"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   18
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   525
         Left            =   360
         TabIndex        =   7
         Top             =   585
         Width           =   555
      End
      Begin VB.Label Label2 
         Caption         =   "Velocidad"
         BeginProperty Font 
            Name            =   "Tahoma"
            Size            =   9.75
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   330
         Left            =   135
         TabIndex        =   6
         Top             =   225
         Width           =   960
      End
   End
   Begin VB.Frame Frame2 
      Height          =   1095
      Left            =   135
      TabIndex        =   1
      Top             =   1080
      Width           =   2265
      Begin VB.CommandButton cmdDer 
         Caption         =   ">>"
         Height          =   375
         Left            =   1215
         TabIndex        =   3
         Top             =   540
         Width           =   555
      End
      Begin VB.CommandButton cmdIzq 
         Caption         =   "<<"
         Height          =   375
         Left            =   495
         TabIndex        =   2
         Top             =   540
         Width           =   555
      End
      Begin VB.Label Label1 
         Caption         =   "Sentido de giro"
         BeginProperty Font 
            Name            =   "Tahoma"
            Size            =   9.75
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   240
         Left            =   405
         TabIndex        =   4
         Top             =   180
         Width           =   1590
      End
   End
   Begin VB.Frame Frame1 
      Height          =   870
      Left            =   135
      TabIndex        =   0
      Top             =   135
      Width           =   2265
      Begin VB.Shape Leds 
         BackStyle       =   1  'Opaque
         Height          =   285
         Index           =   2
         Left            =   1485
         Shape           =   3  'Circle
         Top             =   360
         Width           =   375
      End
      Begin VB.Shape Leds 
         BackStyle       =   1  'Opaque
         Height          =   285
         Index           =   1
         Left            =   900
         Shape           =   3  'Circle
         Top             =   360
         Width           =   375
      End
      Begin VB.Shape Leds 
         BackStyle       =   1  'Opaque
         Height          =   285
         Index           =   0
         Left            =   360
         Shape           =   3  'Circle
         Top             =   360
         Width           =   375
      End
   End
End
Attribute VB_Name = "frmConsola"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' ************************************
' *   PROGRAMA CONTROLADOR DE LEDS   *
' ************************************
' *       Hecho por Loco-Pro         *
' ************************************
' *URL: "http://Hangar18.galeon.com" *
' *    Email: "LocoPro@mail.com"     *
' ************************************

Option Explicit

Dim Colores(3) As String
Dim Salidas(3) As Byte
Dim Estado As Integer
Dim Direccion As Integer

Const MAX = 3
Const ADELANTE = 1
Const ATRAS = 2
Const INTERVALO_INICIAL = 300
Const COLOR_APAGADO = &HC0C0C0

Private Sub cmdDer_Click()
    Direccion = ADELANTE
End Sub

Private Sub cmdIzq_Click()
    Direccion = ATRAS
End Sub

Private Sub cmdMas_Click()
    tmr.Interval = tmr.Interval - 20
    If tmr.Interval <= 0 Then tmr.Interval = 20
End Sub

Private Sub cmdMen_Click()
    If tmr.Interval < 5000 Then
        tmr.Interval = tmr.Interval + 20
    End If
End Sub

Private Sub Form_Load()
    Dim i As Integer

    Colores(0) = &HFF&
    Colores(1) = &HFFFF&
    Colores(2) = &HFF00&
    
    For i = 0 To MAX - 1
        Leds(i).BackColor = COLOR_APAGADO
    Next
    
    tmr.Interval = INTERVALO_INICIAL
    Direccion = ADELANTE
    Estado = 0
    Leds(Estado).BackColor = Colores(Estado)
    Call Out(PuertoDatos, Salidas(Estado))
    tmr.Enabled = True
End Sub

Public Sub Mover(ByVal Dire As Byte)
    Leds(Estado).BackColor = COLOR_APAGADO
    If Dire = ADELANTE Then
        Estado = (Estado + 1) Mod MAX
        Leds(Estado).BackColor = Colores(Estado)
    Else
        Estado = (Estado + MAX - 1) Mod MAX
        Leds(Estado).BackColor = Colores(Estado)
    End If
    Call Out(PuertoDatos, Salidas(Estado))
End Sub

Private Sub tmr_Timer()
    Mover (Direccion)
End Sub

